<button onclick="changecolor('red')" style="background:red;color:white">red</button>
<button onclick="changecolor('blue')" style="background:blue;color:white">blue</button>
<button onclick="changecolor('green')" style="background:green;color:white">green</button>
<div style="display: flex; gap: 10px">
    <div id="divbackground" style="height: 300;width: 300;background-color: black;margin-top: 20px;"></div>
    <div id="divcontent" style="height: 300;width: 300;border: 1px solid gray; background-color: white;margin-top: 20px; display:flex;align-items: center;justify-content: center;">
    black
    </div>
</div>

<script>
function changecolor(c){
    document.getElementById('divbackground').style.backgroundColor=c
    document.getElementById('divcontent').textContent=c
console.log(c)
}
</script>
